## kdebugsettings 25.08.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
# KDE Application Version, managed by release script
cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "2")
set(RELEASE_SERVICE_VERSION
    "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
)
project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})

set(QT_REQUIRED_VERSION "6.8.0")
set(KF_MIN_VERSION "6.14.0")

set(ECM_VERSION ${KF_MIN_VERSION})
find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(FeatureSummary)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMCheckOutboundLicense)

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
find_package(
    KF6
    ${KF_MIN_VERSION}
    REQUIRED
    COMPONENTS
        CoreAddons
        Config
        I18n
        WidgetsAddons
        Completion
        XmlGui
        IconThemes
        Crash
)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()

option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    set(WITH_DBUS TRUE)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
else()
    find_package(KDSingleApplication-qt6 CONFIG REQUIRED)
endif()

add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.9.0
    KF 6.15.0
)

if(OPTION_SELENIUMWEBDRIVER_SUPPORT)
    find_package(SeleniumWebDriverATSPI)
    set_package_properties(
        SeleniumWebDriverATSPI
        PROPERTIES
            PURPOSE "Needed for GUI tests"
            URL "https://invent.kde.org/sdk/selenium-webdriver-at-spi"
            TYPE OPTIONAL
    )
endif()
configure_file(
    config-kdebugsettings.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config-kdebugsettings.h
)

set(KDEBUGSETTINGS_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
set(KDEBUGSETTINGS_LIB_SOVERSION "6")

option(BUILD_QUICK_VERSION "Experimental (in progress)" FALSE)
if(BUILD_QUICK_VERSION)
    find_package(
        Qt6
        ${QT_MIN_VERSION}
        REQUIRED
        NO_MODULE
        COMPONENTS Quick QuickControls2
    )
    if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
        add_definitions(-DQT_QML_DEBUG)
    endif()
endif()
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
if(BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(EXPORT KDEBUGSETTINGS FILE kdebugsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
add_subdirectory(data/groups)

install(
    FILES data/kde.renamecategories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/quickapps/*.cpp
    src/quickapps/*.h
    src/core/*.cpp
    src/core/*.h
    src/apps/*.h
    src/apps/*.cpp
    src/widgets/*.cpp
    src/widgets/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== data/groups/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
install(
    FILES "Full Debug Ruqola"
    DESTINATION ${KDE_INSTALL_DATADIR}/kdebugsettings/groups
)

=== src/apps/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_executable(kdebugsettings main.cpp)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kdebugsettings PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(
    kdebugsettings
    Qt::Widgets
    KF6::I18n
    libkdebugsettings
    KF6::IconThemes
    KF6::Crash
)

if(TARGET KF6::DBusAddons)
    target_link_libraries(kdebugsettings KF6::DBusAddons)
else()
    target_link_libraries(kdebugsettings KDAB::kdsingleapplication)
endif()

if(APPLE)
    set_target_properties(
        kdebugsettings
        PROPERTIES
            MACOSX_BUNDLE_DISPLAY_NAME "KDebugsettings"
            MACOSX_BUNDLE_BUNDLE_NAME "KDebugsettings"
            MACOSX_BUNDLE_LONG_VERSION_STRING
                "KDebugsettings ${RELEASE_SERVICE_VERSION}"
            MACOSX_BUNDLE_SHORT_VERSION_STRING
                "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
            MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
            MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.kdebugsettings"
            MACOSX_BUNDLE_COPYRIGHT "2020-2024 The KDebugsettings Developers"
    )
endif()

install(TARGETS kdebugsettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kdebugsettings (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:43:21 +0100

kdebugsettings (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:52:44 +0100

kdebugsettings (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:22:41 +0100

=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev,
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdebugsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdebugsettings

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	#xvfb-run -a dh_auto_test

## kdebugsettings 25.08.2+p24.04+vstable+git20251019.0210

=== debian/changelog ===
kdebugsettings (25.08.2+p24.04+vstable+git20251019.0210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:10:18 +0000

kdebugsettings (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:46:21 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus,
         kinit,
         xauth,
         xserver-xephyr,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed

## kdebugsettings 25.08.2+p24.04+vstable+git20251020.0600

=== debian/changelog ===
kdebugsettings (25.08.2+p24.04+vstable+git20251020.0600-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:00:32 +0000

=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kitemviews-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Git: https://invent.kde.org/neon/kde/kdebugsettings.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdebugsettings
Maintainer: Neon CI <neon@kde.org>

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.

## kdebugsettings 25.08.2+p24.04+vstable+git20251031.0723

=== debian/changelog ===
kdebugsettings (25.08.2+p24.04+vstable+git20251031.0723-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:23:26 +0000

## kdebugsettings 25.08.2+p24.04+vunstable+git20251015.1310

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,15 +3,17 @@
 # KDE Application Version, managed by release script
 cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION
     "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
 )
 project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_REQUIRED_VERSION "6.8.0")
-set(KF_MIN_VERSION "6.14.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.17.0")
+set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 set(ECM_VERSION ${KF_MIN_VERSION})
 find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
@@ -72,14 +74,15 @@
 if(USE_DBUS)
     set(WITH_DBUS TRUE)
     find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
+    find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
 else()
     find_package(KDSingleApplication-qt6 CONFIG REQUIRED)
 endif()
 
 add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.9.0
-    KF 6.15.0
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+    KF 6.19.0
 )
 
 if(OPTION_SELENIUMWEBDRIVER_SUPPORT)

=== src/apps/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 )
 
 if(TARGET KF6::DBusAddons)
-    target_link_libraries(kdebugsettings KF6::DBusAddons)
+    target_link_libraries(kdebugsettings KF6::DBusAddons KF6::WindowSystem)
 else()
     target_link_libraries(kdebugsettings KDAB::kdsingleapplication)
 endif()
@@ -32,7 +32,7 @@
                 "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
             MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
             MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.kdebugsettings"
-            MACOSX_BUNDLE_COPYRIGHT "2020-2024 The KDebugsettings Developers"
+            MACOSX_BUNDLE_COPYRIGHT "2020-2025 The KDebugsettings Developers"
     )
 endif()

=== debian/changelog ===
kdebugsettings (25.08.2+p24.04+vunstable+git20251015.1310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:10:11 +0000

## kdebugsettings 25.08.2+p24.04+vunstable+git20251021.0429

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_REQUIRED_VERSION "6.9.0")
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
@@ -81,7 +81,7 @@
 
 add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0
+ecm_set_disabled_deprecation_versions(QT 6.11.0
     KF 6.19.0
 )

=== debian/changelog ===
kdebugsettings (25.08.2+p24.04+vunstable+git20251021.0429-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 04:29:47 +0000

## kdebugsettings 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,17 +3,15 @@
 # KDE Application Version, managed by release script
 cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION
     "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
 )
 project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_REQUIRED_VERSION "6.9.0")
-set(KF_MIN_VERSION "6.18.0")
-set(CMAKE_CXX_STANDARD 20)
-set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
+set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.14.0")
 
 set(ECM_VERSION ${KF_MIN_VERSION})
 find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
@@ -74,15 +72,14 @@
 if(USE_DBUS)
     set(WITH_DBUS TRUE)
     find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
-    find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
 else()
     find_package(KDSingleApplication-qt6 CONFIG REQUIRED)
 endif()
 
 add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.11.0
-    KF 6.19.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.15.0
 )
 
 if(OPTION_SELENIUMWEBDRIVER_SUPPORT)

=== debian/changelog ===
kdebugsettings (25.08.3-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:00:22 +0000

kdebugsettings (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:45:46 +1000

## kdebugsettings 25.08.3+p24.04+vunstable+git20251203.0308

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,16 +2,17 @@
 # SPDX-License-Identifier: BSD-3-Clause
 # KDE Application Version, managed by release script
 cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION
     "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
 )
 project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_REQUIRED_VERSION "6.8.0")
-set(KF_MIN_VERSION "6.14.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.20.0")
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 set(ECM_VERSION ${KF_MIN_VERSION})
 find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
@@ -72,14 +73,15 @@
 if(USE_DBUS)
     set(WITH_DBUS TRUE)
     find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
+    find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
 else()
     find_package(KDSingleApplication-qt6 CONFIG REQUIRED)
 endif()
 
 add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.9.0
-    KF 6.15.0
+ecm_set_disabled_deprecation_versions(QT 6.11.0
+    KF 6.20.0
 )
 
 if(OPTION_SELENIUMWEBDRIVER_SUPPORT)
@@ -100,7 +102,7 @@
 set(KDEBUGSETTINGS_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
 set(KDEBUGSETTINGS_LIB_SOVERSION "6")
 
-option(BUILD_QUICK_VERSION "Experimental (in progress)" FALSE)
+option(BUILD_QUICK_VERSION "Experimental (in progress)" OFF)
 if(BUILD_QUICK_VERSION)
     find_package(
         Qt6

=== debian/changelog ===
kdebugsettings (25.08.3+p24.04+vunstable+git20251203.0308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 03:08:30 +0000

## kdebugsettings 25.08.3+p24.04+vunstable+git20251204.0526

=== debian/changelog ===
kdebugsettings (25.08.3+p24.04+vunstable+git20251204.0526-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:26:56 +0000

## kdebugsettings 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,16 +2,17 @@
 # SPDX-License-Identifier: BSD-3-Clause
 # KDE Application Version, managed by release script
 cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION
     "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
 )
 project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_REQUIRED_VERSION "6.9.0")
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.18.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 set(ECM_VERSION ${KF_MIN_VERSION})
@@ -81,7 +82,7 @@
 add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.11.0
-    KF 6.20.0
+    KF 6.19.0
 )
 
 if(OPTION_SELENIUMWEBDRIVER_SUPPORT)
@@ -102,7 +103,7 @@
 set(KDEBUGSETTINGS_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
 set(KDEBUGSETTINGS_LIB_SOVERSION "6")
 
-option(BUILD_QUICK_VERSION "Experimental (in progress)" OFF)
+option(BUILD_QUICK_VERSION "Experimental (in progress)" FALSE)
 if(BUILD_QUICK_VERSION)
     find_package(
         Qt6

=== src/widgets/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

# convenience macro to add qtest unit tests
macro(add_kdebugsettings_unittest _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(kdebugsettings-${_name})
    target_link_libraries(
        ${_name}
        Qt::Test
        KF6::I18n
        Qt::Widgets
        KF6::ConfigCore
        KF6::WidgetsAddons
        KF6::Completion
        libkdebugsettings
    )
endmacro()

add_kdebugsettings_unittest(kdebugsettingsdialogtest.cpp)
add_kdebugsettings_unittest(kdeapplicationdebugsettingpagetest.cpp)
add_kdebugsettings_unittest(customdebugsettingspagetest.cpp)
add_kdebugsettings_unittest(configurecustomsettingdialogtest.cpp)
add_kdebugsettings_unittest(configurecustomsettingwidgettest.cpp)
add_kdebugsettings_unittest(environmentsettingsrulespagetest.cpp)
add_kdebugsettings_unittest(categorytypecomboboxtest.cpp)

add_kdebugsettings_unittest(categorywarningtest.cpp)
add_kdebugsettings_unittest(loadgroupmenutest.cpp)
add_kdebugsettings_unittest(loadtoolbuttontest.cpp)
add_kdebugsettings_unittest(savetoolbuttontest.cpp)
add_kdebugsettings_unittest(groupmanagementdialogtest.cpp)
add_kdebugsettings_unittest(groupmanagementwidgettest.cpp)
add_kdebugsettings_unittest(customdebuglistviewtest.cpp)
add_kdebugsettings_unittest(kdeapplicationtreeviewtest.cpp)

=== debian/changelog ===
kdebugsettings (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:51:25 +0000

kdebugsettings (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:12:57 +0000

=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6completion-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdebugsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdebugsettings

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.

## kdebugsettings 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION
     "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
 )

=== debian/changelog ===
kdebugsettings (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:03:07 +0000

## kdebugsettings 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # KDE Application Version, managed by release script
 cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION
     "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
 )

=== debian/changelog ===
kdebugsettings (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:18:48 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6completion-dev (>= 6.18.0~),

## kdebugsettings 25.12.0+p24.04+vstable+git20251231.0105

=== debian/changelog ===
kdebugsettings (25.12.0+p24.04+vstable+git20251231.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:05:36 +0000

kdebugsettings (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:42:23 +1000

## kdebugsettings 25.12.0+p24.04+vstable+git20260102.1136

=== debian/changelog ===
kdebugsettings (25.12.0+p24.04+vstable+git20260102.1136-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:36:37 +0000

## kdebugsettings 25.12.1

=== debian/changelog ===
kdebugsettings (25.12.1-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 01:06:49 +0000

kdebugsettings (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:33:41 +1000

## kdebugsettings 25.12.1+p24.04+vstable+git20260119.0155

=== debian/changelog ===
kdebugsettings (25.12.1+p24.04+vstable+git20260119.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 19 Jan 2026 01:55:18 +0000

## kdebugsettings 25.12.1+p24.04+vstable+git20260122.0854

=== debian/changelog ===
kdebugsettings (25.12.1+p24.04+vstable+git20260122.0854-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 08:54:23 +0000

## kdebugsettings 25.12.1+p24.04+vunstable+git20260126.0840

=== debian/changelog ===
kdebugsettings (25.12.1+p24.04+vunstable+git20260126.0840-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 08:40:22 +0000

## kdebugsettings 25.12.1+p24.04+vunstable+git20260128.1026

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,17 @@
-# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2015-2026 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 # KDE Application Version, managed by release script
-cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+cmake_minimum_required(VERSION 3.16.0)
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION
     "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
 )
 project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_REQUIRED_VERSION "6.9.0")
-set(KF_MIN_VERSION "6.18.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.21.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 set(ECM_VERSION ${KF_MIN_VERSION})
@@ -31,9 +30,38 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(
+            STATUS
+            "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook"
+        )
+        execute_process(
+            COMMAND "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(
+            WARNING
+            "This module has pre-commit support. pre-commit binary was not found."
+        )
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 
 include(ECMAddAppIcon)
@@ -82,7 +110,7 @@
 add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.11.0
-    KF 6.19.0
+    KF 6.22.0
 )
 
 if(OPTION_SELENIUMWEBDRIVER_SUPPORT)
@@ -103,7 +131,7 @@
 set(KDEBUGSETTINGS_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
 set(KDEBUGSETTINGS_LIB_SOVERSION "6")
 
-option(BUILD_QUICK_VERSION "Experimental (in progress)" FALSE)
+option(BUILD_QUICK_VERSION "Experimental (in progress)" OFF)
 if(BUILD_QUICK_VERSION)
     find_package(
         Qt6
@@ -134,6 +162,17 @@
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
 endif()
 
+option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
+if(WARNINGS_AS_ERRORS)
+    if(MSVC)
+        add_compile_options(/WX)
+        add_compile_options(/wd4996)
+    else()
+        add_compile_options(-Werror)
+        add_compile_options(-Wno-error=deprecated-declarations)
+    endif()
+endif()
+
 add_subdirectory(src)
 
 ecm_qt_install_logging_categories(EXPORT KDEBUGSETTINGS FILE kdebugsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(${CMAKE_BINARY_DIR})
add_subdirectory(core)
add_subdirectory(apps)
add_subdirectory(data)
add_subdirectory(widgets)
if(BUILD_QUICK_VERSION)
    add_subdirectory(quickapps)
endif()

# Selenium GUI tests
if(SeleniumWebDriverATSPI_FOUND)
    add_subdirectory(seleniumtests)
endif()

=== data/groups/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
install(
    FILES "Full Debug Ruqola"
    DESTINATION ${KDE_INSTALL_DATADIR}/kdebugsettings/groups
)

=== src/apps/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 add_executable(kdebugsettings main.cpp)
 if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(${CMAKE_BINARY_DIR})

add_library(libkdebugsettingscore SHARED)

ecm_qt_declare_logging_category(libkdebugsettingscore HEADER kdebugsettingscore_debug.h IDENTIFIER KDEBUGSETTINGSCORE_LOG CATEGORY_NAME log_kdebugsettingscore DESCRIPTION "kdebugsettings core" EXPORT KDEBUGSETTINGS)
target_sources(
    libkdebugsettingscore
    PRIVATE
        jobs/changedebugmodejob.cpp
        jobs/changedebugmodejob.h
        jobs/loadcategoriesjob.cpp
        jobs/loadcategoriesjob.h
        jobs/saverulesjob.cpp
        jobs/saverulesjob.h
        model/customloggingcategorymodel.h
        model/customloggingcategorymodel.cpp
        model/customloggingcategoryproxymodel.h
        model/customloggingcategoryproxymodel.cpp
        model/kdeapplicationloggingcategorymodel.h
        model/kdeapplicationloggingcategorymodel.cpp
        model/kdeapplicationloggingcategoryproxymodel.h
        model/kdeapplicationloggingcategoryproxymodel.cpp
        model/categorytypemodel.h
        model/categorytypemodel.cpp
        model/categorytypeproxymodel.h
        model/categorytypeproxymodel.cpp
        loggingcategory.cpp
        loggingcategory.h
        kdebugsettingsutil.cpp
        kdebugsettingsutil.h
        renamecategory.cpp
        renamecategory.h
        kdeloggingcategory.cpp
        kdeloggingcategory.h
        kdebugsettingsloadingcategories.cpp
        kdebugsettingsloadingcategories.h
        libkdebugsettingscore_private_export.h
        loggingmanager.h
        loggingmanager.cpp
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(libkdebugsettingscore PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(libkdebugsettingscore BASE_NAME libkdebugsettingscore)
target_link_libraries(libkdebugsettingscore Qt::Core KF6::I18n)

set_target_properties(
    libkdebugsettingscore
    PROPERTIES
        OUTPUT_NAME kdebugsettingscore
        VERSION ${KDEBUGSETTINGS_LIB_VERSION}
        SOVERSION ${KDEBUGSETTINGS_LIB_SOVERSION}
)

install(
    TARGETS libkdebugsettingscore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY NAMELINK_SKIP
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== src/data/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

########### install files ###############

install(
    PROGRAMS org.kde.kdebugsettings.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)
install(
    FILES org.kde.kdebugsettings.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)

=== src/quickapps/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(kdebugsettingsquick)
target_sources(kdebugsettingsquick PRIVATE main.cpp resources.qrc)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kdebugsettingsquick PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(
    kdebugsettingsquick
    KF6::I18n
    KF6::CoreAddons
    libkdebugsettingscore
    Qt::Quick
    Qt::QuickControls2
    Qt::Widgets
    KF6::IconThemes
    KF6::ConfigWidgets
)
if(TARGET KF6::DBusAddons)
    target_link_libraries(kdebugsettingsquick KF6::DBusAddons)
else()
    target_link_libraries(kdebugsettingsquick KDAB::kdsingleapplication)
endif()
target_link_libraries(kdebugsettingsquick KF6::I18nQml)

install(TARGETS kdebugsettingsquick ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
include_directories(${CMAKE_BINARY_DIR})

add_library(libkdebugsettings SHARED)

ecm_qt_declare_logging_category(libkdebugsettings HEADER kdebugsettings_debug.h IDENTIFIER KDEBUGSETTINGS_LOG CATEGORY_NAME log_kdebugsettings DESCRIPTION "kdebugsettings" EXPORT KDEBUGSETTINGS)

target_sources(
    libkdebugsettings
    PRIVATE
        categorytypecombobox.cpp
        categorytypecombobox.h
        categorywarning.cpp
        categorywarning.h
        configurecustomsettingdialog.cpp
        configurecustomsettingdialog.h
        configurecustomsettingwidget.cpp
        configurecustomsettingwidget.h
        customdebugsettingspage.cpp
        customdebugsettingspage.h
        environmentplaintextedit.cpp
        environmentplaintextedit.h
        environmentsettingsrulespage.cpp
        environmentsettingsrulespage.h
        groupmanagementdialog.cpp
        groupmanagementdialog.h
        groupmanagementwidget.cpp
        groupmanagementwidget.h
        kdeapplicationdebugsettingpage.cpp
        kdeapplicationdebugsettingpage.h
        kdebugsettingsdialog.cpp
        kdebugsettingsdialog.h
        libkdebugsettings_private_export.h
        loadgroupmenu.cpp
        loadgroupmenu.h
        loadtoolbutton.cpp
        loadtoolbutton.h
        savetoolbutton.cpp
        savetoolbutton.h
        customdebuglistview.h
        customdebuglistview.cpp
        kdeapplicationtreeview.h
        kdeapplicationtreeview.cpp
        kdeapplicationlistviewdelegate.h
        kdeapplicationlistviewdelegate.cpp
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(libkdebugsettings PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(libkdebugsettings BASE_NAME libkdebugsettings)
target_link_libraries(
    libkdebugsettings
    Qt::Core
    KF6::Completion
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::I18n
    Qt::Widgets
    KF6::WidgetsAddons
    KF6::ConfigGui
    KF6::XmlGui
    libkdebugsettingscore
)

set_target_properties(
    libkdebugsettings
    PROPERTIES
        OUTPUT_NAME kdebugsettings
        VERSION ${KDEBUGSETTINGS_LIB_VERSION}
        SOVERSION ${KDEBUGSETTINGS_LIB_SOVERSION}
)

install(
    TARGETS libkdebugsettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY NAMELINK_SKIP
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

=== src/core/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DKDEBUGSETTINGS_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
add_definitions(
    -DKDEBUGSETTINGS_BINARY_DATA_DIR="${CMAKE_CURRENT_BINARY_DIR}/data"
)
macro(add_kdebugsettingscore_unittest _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(kdebugsettings-${_name})
    target_link_libraries(${_name} Qt::Test libkdebugsettingscore)
endmacro()

add_kdebugsettingscore_unittest(kdebugsettingutiltest.cpp)
add_kdebugsettingscore_unittest(loggingcategorytest.cpp)
add_kdebugsettingscore_unittest(loadcategoriesjobtest.cpp)
add_kdebugsettingscore_unittest(renamecategorytest.cpp)
add_kdebugsettingscore_unittest(saverulesjobtest.cpp)
add_kdebugsettingscore_unittest(changedebugmodejobtest.cpp)
add_kdebugsettingscore_unittest(categorytypemodeltest.cpp)

=== src/widgets/autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2015-2026 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
 # convenience macro to add qtest unit tests

=== src/widgets/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_executable(customdebuglistviewgui)
target_sources(
    customdebuglistviewgui
    PRIVATE customdebuglistviewgui.h customdebuglistviewgui.cpp
)

target_link_libraries(customdebuglistviewgui libkdebugsettings)

######
add_executable(kdeapplicationtreeviewgui)
target_sources(
    kdeapplicationtreeviewgui
    PRIVATE kdeapplicationtreeviewgui.h kdeapplicationtreeviewgui.cpp
)

target_link_libraries(kdeapplicationtreeviewgui libkdebugsettings)

=== debian/changelog ===
kdebugsettings (25.12.1+p24.04+vunstable+git20260128.1026-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 10:26:49 +0000

## kdebugsettings 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,18 @@
-# SPDX-FileCopyrightText: 2015-2026 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 # KDE Application Version, managed by release script
-cmake_minimum_required(VERSION 3.16.0)
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION
     "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
 )
 project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_REQUIRED_VERSION "6.9.0")
-set(KF_MIN_VERSION "6.21.0")
+set(KF_MIN_VERSION "6.18.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 set(ECM_VERSION ${KF_MIN_VERSION})
@@ -30,38 +31,9 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
-    if(PRE_COMMIT_EXECUTABLE)
-        message(
-            STATUS
-            "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook"
-        )
-        execute_process(
-            COMMAND "${PRE_COMMIT_EXECUTABLE}" install -f
-            ERROR_QUIET
-            RESULT_VARIABLE _precommitresult
-            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
-        )
-        if(_precommitresult EQUAL 0)
-            message(STATUS "Pre-commit installed.")
-        else()
-            message(
-                WARNING
-                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
-            )
-            include(KDEGitCommitHooks)
-            include(KDEClangFormat)
-            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-        endif()
-    else()
-        message(
-            WARNING
-            "This module has pre-commit support. pre-commit binary was not found."
-        )
-        include(KDEGitCommitHooks)
-        include(KDEClangFormat)
-        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-    endif()
+    include(KDEGitCommitHooks)
+    include(KDEClangFormat)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 endif()
 
 include(ECMAddAppIcon)
@@ -110,7 +82,7 @@
 add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.11.0
-    KF 6.22.0
+    KF 6.19.0
 )
 
 if(OPTION_SELENIUMWEBDRIVER_SUPPORT)
@@ -131,7 +103,7 @@
 set(KDEBUGSETTINGS_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
 set(KDEBUGSETTINGS_LIB_SOVERSION "6")
 
-option(BUILD_QUICK_VERSION "Experimental (in progress)" OFF)
+option(BUILD_QUICK_VERSION "Experimental (in progress)" FALSE)
 if(BUILD_QUICK_VERSION)
     find_package(
         Qt6
@@ -162,17 +134,6 @@
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
 endif()
 
-option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
-if(WARNINGS_AS_ERRORS)
-    if(MSVC)
-        add_compile_options(/WX)
-        add_compile_options(/wd4996)
-    else()
-        add_compile_options(-Werror)
-        add_compile_options(-Wno-error=deprecated-declarations)
-    endif()
-endif()
-
 add_subdirectory(src)
 
 ecm_qt_install_logging_categories(EXPORT KDEBUGSETTINGS FILE kdebugsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== debian/changelog ===
kdebugsettings (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:21:21 +0000

kdebugsettings (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:01:30 +0000
